package com.mycompany.glassfishcontextparams;

import java.util.Enumeration;
import javax.enterprise.context.RequestScoped;
import javax.faces.context.FacesContext;
import javax.inject.Named;
import javax.servlet.ServletContext;
import javax.servlet.http.HttpServletRequest;

@Named
@RequestScoped
public class Params {
    
    public String getParams() {
        HttpServletRequest req = (HttpServletRequest) FacesContext.getCurrentInstance().getExternalContext().getRequest();
        ServletContext ctx = req.getServletContext();
        StringBuilder out = new StringBuilder();
        out.append("Context for: ").append(ctx.getContextPath()).append("\n");
        out.append("\nInitial context parameters:\n");
        Enumeration<String> s;
        s = ctx.getInitParameterNames();
        while (s.hasMoreElements()) {
            String n = s.nextElement();
            out.append(n).append("\t").append(ctx.getInitParameter(n)).append("\n");
        }
        return out.toString();
    }

}
